Package tigase.auth

# Enum Class XmppSaslException.SaslError

java.lang.Object
java.lang.Enum<XmppSaslException.SaslError>
tigase.auth.XmppSaslException.SaslError

All Implemented Interfaces:
  `Serializable`, `Comparable<XmppSaslException.SaslError>`, `Constable`

Enclosing class:
  XmppSaslException

public static enum XmppSaslException.SaslError extends Enum<XmppSaslException.SaslError>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `aborted`
  The receiving entity acknowledges that the authentication handshake has been aborted by the initiating entity.
  `account_disabled`
  The account of the initiating entity has been temporarily disabled.
  `credentials_expired`
  The authentication failed because the initiating entity provided credentials that have expired.
  `encryption_required`
  The mechanism requested by the initiating entity cannot be used unless the confidentiality and integrity of the underlying stream are protected (typically via TLS).
  `incorrect_encoding`
  The data provided by the initiating entity could not be processed because the base 64 encoding is incorrect.
  `invalid_authzid`
  The authzid provided by the initiating entity is invalid, either because it is incorrectly formatted or because the initiating entity does not have permissions to authorize that ID.
  `invalid_mechanism`
  The initiating entity did not specify a mechanism, or requested a mechanism that is not supported by the receiving entity.
  `malformed_request`
  The request is malformed (e.g., the `<auth/>` element includes initial response data but the mechanism does not allow that, or the data sent violates the syntax for the specified SASL mechanism).
  `mechanism_too_weak`
  The mechanism requested by the initiating entity is weaker than server policy permits for that initiating entity.
  `not_authorized`
  The authentication failed because the initiating entity did not provide proper credentials, or because some generic authentication failure has occurred but the receiving entity does not wish to disclose specific information about the cause of the failure.
  `temporary_auth_failure`
  The authentication failed because of a temporary error condition within the receiving entity, and it is advisable for the initiating entity to try again later.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `XMLNS`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Element`
  `getElement()`
  `String`
  `getElementName()`
  `static XmppSaslException.SaslError`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static XmppSaslException.SaslError[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### aborted

    public static final XmppSaslException.SaslError aborted
    The receiving entity acknowledges that the authentication handshake has been aborted by the initiating entity.

  - ### account_disabled

    public static final XmppSaslException.SaslError account_disabled
    The account of the initiating entity has been temporarily disabled.

  - ### credentials_expired

    public static final XmppSaslException.SaslError credentials_expired
    The authentication failed because the initiating entity provided credentials that have expired.

  - ### encryption_required

    public static final XmppSaslException.SaslError encryption_required
    The mechanism requested by the initiating entity cannot be used unless the confidentiality and integrity of the underlying stream are protected (typically via TLS).

  - ### incorrect_encoding

    public static final XmppSaslException.SaslError incorrect_encoding
    The data provided by the initiating entity could not be processed because the base 64 encoding is incorrect.

  - ### invalid_authzid

    public static final XmppSaslException.SaslError invalid_authzid
    The authzid provided by the initiating entity is invalid, either because it is incorrectly formatted or because the initiating entity does not have permissions to authorize that ID.

  - ### invalid_mechanism

    public static final XmppSaslException.SaslError invalid_mechanism
    The initiating entity did not specify a mechanism, or requested a mechanism that is not supported by the receiving entity.

  - ### malformed_request

    public static final XmppSaslException.SaslError malformed_request
    The request is malformed (e.g., the `<auth/>` element includes initial response data but the mechanism does not allow that, or the data sent violates the syntax for the specified SASL mechanism).

  - ### mechanism_too_weak

    public static final XmppSaslException.SaslError mechanism_too_weak
    The mechanism requested by the initiating entity is weaker than server policy permits for that initiating entity.

  - ### not_authorized

    public static final XmppSaslException.SaslError not_authorized
    The authentication failed because the initiating entity did not provide proper credentials, or because some generic authentication failure has occurred but the receiving entity does not wish to disclose specific information about the cause of the failure.

  - ### temporary_auth_failure

    public static final XmppSaslException.SaslError temporary_auth_failure
    The authentication failed because of a temporary error condition within the receiving entity, and it is advisable for the initiating entity to try again later.

- ## Field Details

  - ### XMLNS

    public static final String XMLNS
    See Also:
      - Constant Field Values

- ## Method Details

  - ### values

    public static XmppSaslException.SaslError[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static XmppSaslException.SaslError valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getElementName

    public String getElementName()

  - ### getElement

    public Element getElement()